{pkgs, ...}:
{
 	home.sessionVariables = {
		BROWSER = "firefox";
	};

	home.packages = with pkgs; [
		# env
		libnotify
		mpv
		pavucontrol
		glib # run gsettings for gnome
		flat-remix-gtk
		line-awesome
		pinentry-gnome
		# apps
		firefox
		thunderbird
		dino
	];

	programs.gpg = {
		enable = true;
		settings = {
			keyserver = "hkps://keys.openpgp.org";
		};
	};
	services.gnome-keyring.enable = true;
	services.gpg-agent = {
		enable = true;
		enableSshSupport = true;
		pinentryFlavor = "gnome3";
	};

	programs.browserpass.enable = true;
}
