{pkgs, ...}:
{
	imports = [
		./desktop.nix
		./sway.nix
	];

	home.sessionVariables = {
		EDITOR = "nvim";
	};

	home.packages = with pkgs; [
		python3
		killall
		htop
		mosh
		git
		git-lfs
		tig
		figlet
		grml-zsh-config
		tmux
		#neovim
		xh
		liboping # fix it
		mtr
		colordiff
		git-annex
		direnv
		pure-prompt
		#vimPlugins.nvim-lspconfig
		#vimPlugins.nerdtree
		go gcc libcap
		go-langserver
		pass
	];

	programs.zsh = {
		enable = true;
		enableAutosuggestions = true;
		# missing syntaxHighlighting
		# grml and pure enabled ....
	};

	programs.git = {
		enable = true;
		userName= "genofire";
		userEmail = "geno+dev@fireorbit.de";
		signing = {
			signByDefault = false;
			key = "386ED1BF848ABB4A6B4A3C45FC83907C125BC2BC";
		};
		extraConfig = {
			init.defaultBranch = "main";
			annex.sshcaching = true;
		};
	};
	programs.neovim = {
		enable = true;
		extraPackages = with pkgs.vimPlugins; [
			nvim-lspconfig
			nerdtree
		];
	};
}
